unit uTemperatur1;

{ **************************************************************************** }
{ **************************************************************************** }

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Buttons;

type
  TForm1 = class(TForm)
    PnlUeberschrift: TPanel;
    LblEingabe: TLabel;
    EdtEingabe: TEdit;
    RadGrpGradAuswahl: TRadioGroup;
    LblAusgabe: TLabel;
    EdtAusgabe: TEdit;
    BitBtnBerechnen: TBitBtn;
    BitBtnInformation: TBitBtn;
    BitBtnSchliessen: TBitBtn;
    procedure BitBtnBerechnenClick(Sender: TObject);
    procedure BitBtnInformationClick(Sender: TObject);
    procedure BitBtnSchliessenClick(Sender: TObject);
    procedure EdtEingabeKeyPress(Sender: TObject; var Key: Char);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

{ **************************************************************************** }
{ **************************************************************************** }

implementation

{$R *.dfm}

procedure TForm1.EdtEingabeKeyPress(Sender: TObject; var Key: Char);
begin
  if not(Key in ['0'..'9',',','-',#8]) then Key := #0;
end;

{ **************************************************************************** }

procedure TForm1.BitBtnBerechnenClick(Sender: TObject);
var
  TempEingabe,TempAusgabe: Real;
begin
  { Initialisierung }
  TempEingabe := StrToFloat(EdtEingabe.Text);

  { Berechnung }
  case RadGrpGradAuswahl.ItemIndex of
    0: TempAusgabe := (TempEingabe * 9 / 5) + 32;  { Celsius in Fahrenheit }
    1: TempAusgabe := (TempEingabe - 32) * 5 / 9;  { Fahrenheit in Celsius }
  end;

  { Ausgabe }
  EdtAusgabe.Text := FloatToStrF(TempAusgabe,ffFixed,7,2);
end;

{ **************************************************************************** }

procedure TForm1.BitBtnInformationClick(Sender: TObject);
begin
  MessageDlg('Temperaturumrechner (V1.0)' + #13 +
    'Programm zur Temperaturumrechnung von Grad Celsius' + #13 + 'in Grad Fahrenheit und umgekehrt.' + #13 + #13 +
    'M. Zirbes, 2007' + #13 + #13 +
    'Bei diesem Programm handelt es sich um Freeware,' + #13 +
    'd.h. es steht zur kostenlosen Nutzung frei zur Verfgung' + #13 +
    'und darf ohne Entgelt vervielfltigt und verbreitet werden.' + #13 + #13 +
    'Kontakt: schule@mijozi.de',mtInformation,[mbOK],0);
end;

{ **************************************************************************** }

procedure TForm1.BitBtnSchliessenClick(Sender: TObject);
begin
  Close;
end;

{ **************************************************************************** }
{ **************************************************************************** }

end.
